<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.modellist' );

/**
* MapyCZ Model for map list
*/
class mapyczModelMaps extends JModelList {

	/** check if plugin is published */
	public function pluginCheck(){
	
		$state = false;
		$plugin = JPluginHelper::getPlugin("content", "mapycz");
		if($plugin->name=="mapycz")
			$state = true;		
		return $state;
	
	}
	
	/** check if button is published */
	public function buttonCheck(){
	
		$state = false;
		$plugin = JPluginHelper::getPlugin("editors-xtd", "mapycz_button");
		if($plugin->name=="mapycz_button")
			$state = true;		
		return $state;
	
	}
	
	public function __construct($config = array()){
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'id', 'm.id',	
				'name', 'm.name',
				'latitude', 'm.latitude',
				'longitude', 'm.longitude',
				'mark_count', 'm.mark_count',
			);
		}

		parent::__construct($config);
	}
			
	protected function populateState($ordering = null, $direction = null){
		// Initialise variables.
		$app = JFactory::getApplication();

		// Adjust the context to support modal layouts.
		if ($layout = JRequest::getVar('layout')) {
			$this->context .= '.'.$layout;
		}
		
		// List state information.
		parent::populateState('m.name', 'asc');
	}
	
	protected function getListQuery() {
	
		// Create a new query object.
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		// Select the required fields from the table.
		$query->select('m.id, m.name, m.latitude, m.longitude, (SELECT COUNT(id) FROM #__mapycz_marks AS mm WHERE mm.mapId=m.id) AS mark_count');
		$query->from('#__mapycz AS m');

		// oreder
		$orderCol	= $this->state->get('list.ordering');
		$orderDirn	= $this->state->get('list.direction');
		
		$query->order($db->getEscaped($orderCol.' '.$orderDirn));
		
		// echo nl2br(str_replace('#__','jos_',$query));
		return $query;
	}
}
