<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');

$document = JFactory::getDocument();
$document->addStyleDeclaration("#mapycz td, #mapycz tr {border:0px !important;}");
$document->addScript("http://api4.mapy.cz/loader.js");
$document->addScriptDeclaration("Loader.load();");	

$user		= JFactory::getUser();
$userId		= $user->get('id');

// titulek
JToolBarHelper::title('&nbsp;','mapycz');

// tlacitka v toolbaru
JToolBarHelper::save('save', JText::_('MAPYCZ_BUTTON_SAVE'), false);
JToolBarHelper::cancel('cancel', JText::_('MAPYCZ_BUTTON_STORNO'), false);
	
$cnt = "
	
	// defaultni hlasky
	MAPYCZ_MARK_NOT_SAVED_MAP = '".JText::_("MAPYCZ_MARK_NOT_SAVED_MAP")."';
	MAPYCZ_MAP_NOT_SAVED_EXIT = '".JText::_("MAPYCZ_MAP_NOT_SAVED_EXIT")."';
	MAPYCZ_MAP_SAVED = '".JText::_("MAPYCZ_MAP_SAVED")."';	

	// vytvoreni pozic
	var coords = SMap.Coords.fromWGS84('".$this->map['latitude']."','".$this->map['longitude']."');
	
	// vytvoreni mapy
	var map = new SMap(JAK.gel('mapycz'), coords, ".$this->map['zoom'].");
	
	// nastaveni zachycovani udalosti mysi
	var mouse = new SMap.Control.Mouse(SMap.MOUSE_PAN | SMap.MOUSE_WHEEL | SMap.MOUSE_ZOOM);
	map.addControl(mouse); 
	
	// nastaveni vrstvy
	var layer = '".$this->map['layer']."';
	if(layer=='turist')
		map.addDefaultLayer(SMap.DEF_TURIST).enable();
	else
		map.addDefaultLayer(SMap.DEF_TURIST);
	if(layer=='ophto')
		map.addDefaultLayer(SMap.DEF_OPHOTO).enable();
	else
		map.addDefaultLayer(SMap.DEF_OPHOTO);
	if(layer=='ophto0203')
		map.addDefaultLayer(SMap.DEF_OPHOTO0203).enable();
	else
		map.addDefaultLayer(SMap.DEF_OPHOTO0203);
	if(layer=='ophto0406')
		map.addDefaultLayer(SMap.DEF_OPHOTO0406).enable();
	else
		map.addDefaultLayer(SMap.DEF_OPHOTO0406);
	if(layer=='historic')
		map.addDefaultLayer(SMap.DEF_HISTORIC).enable();
	else
		map.addDefaultLayer(SMap.DEF_HISTORIC);
	if(layer=='base' || layer=='')
		map.addDefaultLayer(SMap.DEF_BASE).enable();
	else
		map.addDefaultLayer(SMap.DEF_BASE);

	// prepinac vrstev
	var layerSwitch = new SMap.Control.Layer();
	layerSwitch.addDefaultLayer(SMap.DEF_BASE);
	layerSwitch.addDefaultLayer(SMap.DEF_TURIST);
	layerSwitch.addDefaultLayer(SMap.DEF_OPHOTO);
	layerSwitch.addDefaultLayer(SMap.DEF_OPHOTO0203);
	layerSwitch.addDefaultLayer(SMap.DEF_OPHOTO0406);
	layerSwitch.addDefaultLayer(SMap.DEF_HISTORIC);
	map.addControl(layerSwitch,{left:'8px', top:'8px'});
	
	// nastaveni ovladacich prvku
	map.addDefaultControls();
	
	// pridani vrstvy pro znacku
	var layMarker = new SMap.Layer.Marker();
	map.addLayer(layMarker);
	layMarker.enable();

	// nastaveni udalosti pri taznei znacky
	var signals = map.getSignals();
	signals.addListener(window, 'map-redraw', mapycz_mapChange);
	signals.addListener(window, 'map-move', mapycz_mapChange);
	signals.addListener(window, 'control-layer-click', mapycz_mapChange);  
	signals.addListener(window, 'marker-drag-stop', mapycz_markerDragStop);

	mapycz_mapChange();

	mapycz_loadMarkers('".$this->map['id']."');
";

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task){
		
		if (task == 'save') {
			mapycz_saveMap('<?=JHtml::_('form.token')?>');
			return false;
			Joomla.submitform(task, document.getElementById('map-form'));
		}
		
		if (task == 'cancel') {
			if(!mapycz_checkSave(false)){
				if(!confirm(MAPYCZ_MAP_NOT_SAVED_EXIT))
					return false;
			}
			location.replace('<?=JRoute::_('index.php?option=com_mapycz')?>');
		}
		
	}
</script>

<h1><?=JText::_('MAPYCZ_EDIT')?></h1>

<div id="mapycz-map-edit">
	<form action="<?=JRoute::_('index.php?option=com_mapycz')?>" method="post" name="adminForm" id="map-form" class="form-validate">
	
		<table>
		
			<tr>
				<td>
					<?=JText::_('MAPYCZ_FIELD_NAME')?>:
				</td>
				<td>
					<input type="text" id="mapycz_name" class="required maxLength:255" name="name" value="<?=$this->map['name']?>" />
				</td>
			</tr>
		
			<tr>
				<td>
					<?=JText::_('MAPYCZ_FIELD_WIDTH')?>:
				</td>
				<td>	
					<input type="text" id="mapycz_width" class="validate-integer maxLength:10 small" name="width" onBlur="mapycz_mapSizeChange();" value="<?=$this->map['width']?>" /> px
				</td>
			</tr>
		
			<tr valign="top">
				<td>
					<?=JText::_('MAPYCZ_FIELD_HEIGHT')?>:
				</td>
				<td>
					<input type="text" id="mapycz_height" class="validate-integer maxLength:10 small" name="height" onBlur="mapycz_mapSizeChange();" value="<?=$this->map['height']?>" /> px
				</td>
			</tr>
		
		
			<tr valign="top" >
				<td>
					<label for="controls" class="hasTip" title="<?=JText::_('MAPYCZ_FIELD_CONTROLS')?>::<?=JText::_('MAPYCZ_FIELD_CONTROLS_DESC')?>"><?=JText::_('MAPYCZ_FIELD_CONTROLS')?></label>:
				</td>
				<td>
					<input type="checkbox" id="mapycz_controls" class="checkbox" name="controls" <?=($this->map['controls']==1)?'checked="checked"':''?> />
				</td>
			</tr>
		
			<tr valign="top">
				<td colspan="2">
					<br/>
					<?=JText::_('MAPYCZ_MAP_DESC')?><br/>
					<div onmouseup="<?=$js_map_change?>" id="mapycz" style="height:<?=$this->map['height']?>px; width:<?=$this->map['width']?>px;"></div>
					<br/>
				</td>
			</tr>
				
		</table>

		<input type="hidden" id="mapycz_zoom" name="zoom" value="<?=$this->map['zoom']?>" />
		<input type="hidden" id="mapycz_layer" name="layer" value="<?=$this->map['layer']?>" />
		<input type="hidden" id="mapycz_latitude" name="latitude" value="<?=htmlentities($this->map['latitude'],ENT_COMPAT,"UTF-8")?>" />
		<input type="hidden" id="mapycz_longitude" name="longitude" value="<?=htmlentities($this->map['longitude'],ENT_COMPAT,"UTF-8")?>" />
		<input type="hidden" id="mapycz_id" name="cid" value="<?=$this->map['id']?>" />
	</form>
</div>
<div id="mapycz-map-marks"></div>
<div id="mapycz-temps"></div>
<div class="clr"></div>

<script type="text/javascript"><?=$cnt?></script>